## tgt 1.0.0

=== Makefile ===
VERSION ?= 1.0.0

# Define a common prefix where binaries and docs install
PREFIX ?= /usr

# Export VERSION and PREFIX so sub-make knows about them
export VERSION PREFIX

# Export the feature switches so sub-make knows about them
export ISCSI ISCSI_RDMA IBMVIO FCOE FCP

.PHONY: all
all: programs doc conf scripts

# Targets for the /usr/sbin utilities
.PHONY: programs install-programs clean-programs
programs:
	$(MAKE) -C usr

install-programs:
	$(MAKE) -C usr install

clean-programs:
	$(MAKE) -C usr clean

# Targets for man pages and other documentation
.PHONY: doc install-doc clean-doc
doc:
	$(MAKE) -C doc

install-doc:
	$(MAKE) -C doc install

clean-doc:
	$(MAKE) -C doc clean

# Targets for scripts
.PHONY: scripts install-scripts clean-scripts
scripts:
	$(MAKE) -C scripts

install-scripts:
	$(MAKE) -C scripts install

clean-scripts:
	$(MAKE) -C scripts clean


# Targets for configuration stubs
.PHONY: conf install-conf clean-conf
conf:
	$(MAKE) -C conf

install-conf:
	$(MAKE) -C conf install

clean-conf:
	$(MAKE) -C conf clean

.PHONY: install
install: install-programs install-doc install-conf install-scripts

.PHONY: clean
clean: clean-programs clean-doc clean-conf clean-scripts

=== doc/Makefile ===
mandir ?= $(PREFIX)/share/man
docdir ?= $(PREFIX)/share/doc/tgt

MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 \
		manpages/tgt-setup-lun.8
DOCS = README.fcoe README.ibmvstgt README.iscsi README.iser \
	    README.lu_configuration README.mmc tmf.txt

.PHONY:all
all:

.PHONY: install
install: $(MANPAGES) $(DOCS)
	install -d -m 755 $(DESTDIR)$(mandir)/man8
	install -m 644 $(MANPAGES) $(DESTDIR)$(mandir)/man8
	install -d -m 755 $(DESTDIR)$(docdir)
	install -m 644 $(DOCS) $(DESTDIR)$(docdir)

.PHONY: clean
clean:

=== usr/Makefile ===
sbindir ?= $(PREFIX)/sbin

ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
CFLAGS += -DUSE_SIGNALFD
endif

ifneq ($(IBMVIO),)
CFLAGS += -DIBMVIO -DUSE_KERNEL
TGTD_OBJS += $(addprefix ibmvio/, ibmvio.o)
TGTD_OBJS += bs_mmap.o tgtif.o
endif

ifneq ($(ISCSI),)
CFLAGS += -DISCSI
TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
		isns.o)
TGTD_OBJS += bs_rdwr.o bs_aio.o

ifneq ($(ISCSI_RDMA),)
CFLAGS += -DISCSI_RDMA
TGTD_OBJS += iscsi/iscsi_rdma.o
LIBS += -libverbs -lrdmacm
endif
endif

ifneq ($(FCP),)
CFLAGS += -DFCP -DUSE_KERNEL
TGTD_OBJS += $(addprefix fc/, fc.o)
TGTD_OBJS += bs_mmap.o tgtif.o
endif

ifneq ($(FCOE),)
TGTD_OBJS += $(addprefix fcoe/,\
	openfc_target.o \
	openfc_scst.o \
	fcs_state.o \
	fc_exch.o \
	fc_disc_targ.o \
	fc_frame.o \
	fc_local_port.o \
	fc_remote_port.o \
	fc_sess.o \
	fc_virt_fab.o \
	fc_port.o \
	fcoe_if.o fcoe_dev.o \
	sa_event.o sa_timer.o sa_hash_kern.o sa_state.o\
	crc32_le.o crc32_le_tab.o)
TGTD_OBJS += bs_rdwr.o
endif

INCLUDES += -I.

CFLAGS += -D_GNU_SOURCE
CFLAGS += $(INCLUDES)
CFLAGS += -g -O2 -Wall -Wstrict-prototypes -fPIC
CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"

LIBS += -lpthread

PROGRAMS += tgtd tgtadm tgtimg
TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \
		parser.o spc.o sbc.o mmc.o osd.o scc.o smc.o \
		ssc.o bs_ssc.o libssc.o \
		bs_null.o bs_sg.o bs.o libcrc32c.o

TGTD_DEP = $(TGTD_OBJS:.o=.d)

.PHONY:all
all: $(PROGRAMS)

tgtd: $(TGTD_OBJS)
	$(CC) $^ -o $@ $(LIBS)

-include $(TGTD_DEP)

tgtadm: tgtadm.o
	$(CC) $^ -o $@

-include tgtadm.d

tgtimg: tgtimg.o libssc.o libcrc32c.o
	$(CC) $^ -o $@

-include tgtimg.d libssc.d

%.o: %.c
	$(CC) -c $(CFLAGS) $*.c -o $*.o
	@$(CC) -MM $(CFLAGS) -MF $*.d -MT $*.o $*.c

.PHONY: install
install: $(PROGRAMS)
	install -d -m 755 $(DESTDIR)$(sbindir)
	install -m 755 $(PROGRAMS) $(DESTDIR)$(sbindir)

.PHONY: clean
clean:
	rm -f *.[od] $(PROGRAMS) iscsi/*.[od] ibmvio/*.[od] fc/*.[od] fcoe/*.[od]

=== debian/changelog ===
tgt (1:1.0.0-2) unstable; urgency=low

  * Depend on sg3-utils. (Closes: #565168)

 -- Frederik Schüler <fs@debian.org>  Tue, 19 Jan 2010 19:36:40 +0100

tgt (1:1.0.0-1) unstable; urgency=low
  
  * New upstream release.
    - Drop GPL digest patch, upstream has other implementation.
  * Add dependency on libconfig-general-perl. (Closes: #560710)
  * Build iSER driver, too.

 -- Frederik Schüler <fs@debian.org>  Thu, 24 Dec 2009 16:34:17 +0100

tgt (1:0.9.11-1) unstable; urgency=low

  [ Ben Hutchings ]
  * New upstream version (Closes: #501149)
    - Adds -D_GNU_SOURCE to compiler options (Closes: #526562)
  * Add myself to Uploaders
  * Fix syntax of usage messages (Closes: #493375)
  * Use GPL-compatible digest code instead of OpenSSL (Closes: #556294)
  * Update Standards-Version to 3.8.3
    - Add Homepage field
  * Enable FCoE driver
  * Update package description
    - Fix grammar
    - Mention 'SCSI' in the short description
    - Update list of drivers

  [ Frederik Schüler ]
  * Switch to debhelper 7.

 -- Frederik Schüler <fs@debian.org>  Wed, 09 Dec 2009 10:29:39 +0100

tgt (20070924-1) unstable; urgency=low

  [ Frederik Schüler ]
  * Initial release (Closes: #436320)

 -- Frederik Schüler <fs@debian.org>  Mon, 24 Sep 2007 20:04:05 +0200

=== debian/control ===
Source: tgt
Section: net
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
Standards-Version: 3.8.3
Homepage: http://stgt.berlios.de/

Package: tgt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconfig-general-perl, sg3-utils
Description: Linux SCSI target user-space tools
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 Tgt consists of kernel modules, user-space daemon, and user-space
 This package contains the user-space daemon and tools; a recent Linux
 kernel is required for the modules.
 .
 This package includes drivers for:
 .
  - FCoE (Fibre Channel over Ethernet)
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp: 
	dh_testdir
	$(MAKE) FCOE=1 ISCSI=1 ISCSI_RDMA=1
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_prep
	rm -f build-stamp
	$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) FCOE=1 ISCSI=1 ISCSI_RDMA=1 DESTDIR=$(CURDIR)/debian/tgt install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tgt 1.0.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-VERSION ?= 1.0.0
+VERSION ?= 1.0.4
+
+CHECK_CC = cgcc
+CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
 
 # Define a common prefix where binaries and docs install
 PREFIX ?= /usr
@@ -62,3 +65,18 @@
 
 .PHONY: clean
 clean: clean-programs clean-doc clean-conf clean-scripts
+
+.PHONY:check
+check: ARCH=$(shell sh script/checkarch.sh)
+check:
+	CC=$(CHECK_CC_FLAGS) $(MAKE) all
+
+.PHONY:check32
+check32: override ARCH=-m32
+check32:
+	CC=$(CHECK_CC_FLAGS) $(MAKE) all
+
+.PHONY:check64
+check64: override ARCH=-m64
+check64:
+	CC=$(CHECK_CC_FLAGS) $(MAKE) all

=== doc/Makefile ===
mandir ?= $(PREFIX)/share/man
docdir ?= $(PREFIX)/share/doc/tgt

MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
		manpages/tgt-setup-lun.8 manpages/tgtd.8

DOCS = README.fcoe README.ibmvstgt README.iscsi README.iser \
	    README.lu_configuration README.mmc tmf.txt

XSLTPROC = /usr/bin/xsltproc
XMLMAN = manpages/tgtd.8 manpages/tgtadm.8 manpages/tgtimg.8 \
		manpages/tgt-admin.8
XMLHTML = htmlpages/tgtd.8.html htmlpages/tgtadm.8.html \
		htmlpages/tgtimg.8.html htmlpages/tgt-admin.8.html

.PHONY:all
all:

.PHONY: install
install: $(MANPAGES) $(DOCS)
	install -d -m 755 $(DESTDIR)$(mandir)/man8
	install -m 644 $(MANPAGES) $(DESTDIR)$(mandir)/man8
	install -d -m 755 $(DESTDIR)$(docdir)
	install -m 644 $(DOCS) $(DESTDIR)$(docdir)
	install -d -m 755 $(DESTDIR)$(docdir)/html
	install -m 644 $(XMLHTML) $(DESTDIR)$(docdir)/html

.PHONY: clean
clean:

manpages/tgtd.8: tgtd.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtd.8.html: tgtd.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgtadm.8: tgtadm.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtadm.8.html: tgtadm.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgt-admin.8: tgt-admin.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgt-admin.8.html: tgt-admin.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

manpages/tgtimg.8: tgtimg.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

htmlpages/tgtimg.8.html: tgtimg.8.xml
	-test -z "$(XSLTPROC)" || $(XSLTPROC) -o $@ http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl $<

xmlman: $(XMLMAN)

xmlhtml: $(XMLHTML)

=== usr/Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 CFLAGS += -D_GNU_SOURCE
 CFLAGS += $(INCLUDES)
-CFLAGS += -g -O2 -Wall -Wstrict-prototypes -fPIC
+CFLAGS += -g -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -fPIC
 CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
 
 LIBS += -lpthread

=== debian/changelog ===
tgt (1:1.0.4-2squeeze1) stable-security; urgency=high

  * iscsi: fix buffer overflow before login (CVE-2011-0001)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 21 Mar 2011 03:21:17 +0000

tgt (1:1.0.4-2) unstable; urgency=low

  * Fix bashism in tgt-admin, thanks to Chris Cheney (Closes: #589716)

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 05 Sep 2010 22:13:52 +0100

tgt (1:1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Wed, 05 May 2010 09:04:59 +0200

tgt (1:1.0.3-2) unstable; urgency=low

  * Fix Format string vulnerability CVE-2010-0743.
    (Closes: #576086)

 -- Frederik Schüler <fs@debian.org>  Tue, 13 Apr 2010 10:54:19 +0200

tgt (1:1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.8.4, no changes needed.
  * Drop patches/tgtadm-usage-metasyntax.
  * Add parallel build ability to debian/rules.
  * Add watch file.

 -- Frederik Schüler <fs@debian.org>  Mon, 29 Mar 2010 13:09:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://stgt.berlios.de/
 
 Package: tgt

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 build: build-stamp

## tgt 1.0.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.4
+VERSION ?= 1.0.13
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -10,7 +10,7 @@
 export VERSION PREFIX
 
 # Export the feature switches so sub-make knows about them
-export ISCSI ISCSI_RDMA IBMVIO FCOE FCP
+export ISCSI_RDMA IBMVIO FCOE FCP
 
 .PHONY: all
 all: programs doc conf scripts

=== usr/Makefile ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
 CFLAGS += -DUSE_SIGNALFD
+endif
+
+ifneq ($(shell test -e /usr/include/sys/timerfd.h && echo 1),)
+CFLAGS += -DUSE_TIMERFD
 endif
 
 ifneq ($(IBMVIO),)
@@ -10,18 +14,14 @@
 TGTD_OBJS += bs_mmap.o tgtif.o
 endif
 
-ifneq ($(ISCSI),)
-CFLAGS += -DISCSI
 TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
 		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
 		isns.o)
 TGTD_OBJS += bs_rdwr.o bs_aio.o
 
 ifneq ($(ISCSI_RDMA),)
-CFLAGS += -DISCSI_RDMA
-TGTD_OBJS += iscsi/iscsi_rdma.o
+TGTD_OBJS += iscsi/iser.o iscsi/iser_text.o
 LIBS += -libverbs -lrdmacm
-endif
 endif
 
 ifneq ($(FCP),)
@@ -53,7 +53,12 @@
 
 CFLAGS += -D_GNU_SOURCE
 CFLAGS += $(INCLUDES)
-CFLAGS += -g -O2 -Wall -Wstrict-prototypes -fno-strict-aliasing -fPIC
+ifneq ($(DEBUG),)
+CFLAGS += -g -O0 -ggdb -rdynamic
+else
+CFLAGS += -g -O2 -fno-strict-aliasing
+endif
+CFLAGS += -Wall -Wstrict-prototypes -fPIC
 CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
 
 LIBS += -lpthread

=== debian/changelog ===
tgt (1:1.0.13-0ubuntu2) natty; urgency=low

  * debian/upstart: Add respawn to upstart job. (LP: #715686) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 14 Feb 2011 10:31:26 -0500

tgt (1:1.0.13-0ubuntu1) natty; urgency=low

  * New upstream release.
  * debian/patches/make-tgt-setup-lun-executable: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Feb 2011 10:31:04 -0500

tgt (1:1.0.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/upstart: Add upstart job.
    - Dropped:
      + debian/patches/scripts-tgt-admin: Use debian's instead.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 10 Sep 2010 16:19:59 +0100

tgt (1:1.0.4-1ubuntu4) maverick; urgency=low

  * debian/upstart: Corrected typo with post-start command; Resolving 
    "unknown job" error. (LP: #574554)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 09 Aug 2010 23:49:42 +0100

tgt (1:1.0.4-1ubuntu3) maverick; urgency=low

  * tgtd target will not start unless it's configured with "allow-in-use yes"
    (LP: 605721)

 -- Chris Cheney <ccheney@ubuntu.com>  Tue, 20 Jul 2010 04:29:56 -0500

tgt (1:1.0.4-1ubuntu2) maverick; urgency=low

  * debian/usptart: Add post-start exec to upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Jul 2010 10:47:33 -0400

tgt (1:1.0.4-1ubuntu1) maverick; urgency=low

  * debian/rules, debian/tgt.tgtd.upstart: Add upstart script. (LP: #574554) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Jun 2010 10:22:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tgt
 Section: net
 Priority: optional
-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
 Standards-Version: 3.8.4

## tgt 1.0.17

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.13
+VERSION ?= 1.0.17
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -10,7 +10,7 @@
 export VERSION PREFIX
 
 # Export the feature switches so sub-make knows about them
-export ISCSI_RDMA IBMVIO FCOE FCP
+export ISCSI_RDMA FCOE
 
 .PHONY: all
 all: programs doc conf scripts

=== conf/Makefile ===
sysconfdir ?= /etc

EXAMPLES = targets.conf.example targets.conf.vtl.L700 targets.conf.vtl.MSL2024

.PHONY: all
all:

.PHONY: install
install:
	install -d -m 755 $(DESTDIR)$(sysconfdir)/tgt
	if [ ! -f $(DESTDIR)$(sysconfdir)/tgt/targets.conf ] ; then \
		install -m 644 targets.conf $(DESTDIR)$(sysconfdir)/tgt ; \
	fi
	install -d -m 755 $(DESTDIR)$(sysconfdir)/tgt/examples
	for f in $(EXAMPLES) ; do \
		install -m 644 examples/$$f $(DESTDIR)$(sysconfdir)/tgt/examples ;\
	done

.PHONY: clean
clean:

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 MANPAGES = manpages/tgtadm.8 manpages/tgt-admin.8 manpages/tgtimg.8 \
 		manpages/tgt-setup-lun.8 manpages/tgtd.8
 
-DOCS = README.fcoe README.ibmvstgt README.iscsi README.iser \
+DOCS = README.fcoe README.iscsi README.iser \
 	    README.lu_configuration README.mmc tmf.txt
 
 XSLTPROC = /usr/bin/xsltproc

=== usr/Makefile ===
--- 
+++ 
@@ -8,12 +8,6 @@
 CFLAGS += -DUSE_TIMERFD
 endif
 
-ifneq ($(IBMVIO),)
-CFLAGS += -DIBMVIO -DUSE_KERNEL
-TGTD_OBJS += $(addprefix ibmvio/, ibmvio.o)
-TGTD_OBJS += bs_mmap.o tgtif.o
-endif
-
 TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
 		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
 		isns.o)
@@ -22,12 +16,6 @@
 ifneq ($(ISCSI_RDMA),)
 TGTD_OBJS += iscsi/iser.o iscsi/iser_text.o
 LIBS += -libverbs -lrdmacm
-endif
-
-ifneq ($(FCP),)
-CFLAGS += -DFCP -DUSE_KERNEL
-TGTD_OBJS += $(addprefix fc/, fc.o)
-TGTD_OBJS += bs_mmap.o tgtif.o
 endif
 
 ifneq ($(FCOE),)

=== debian/changelog ===
tgt (1:1.0.17-1ubuntu2) precise; urgency=low

  * change /etc/tgt/tgt.conf to support adding config.d format
    snippets in /etc/tgt/conf.d (LP: #978507)
  * start tgt on installation (LP: #977621)
  * stop tgt on shutdown (LP: #820699)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 10 Apr 2012 23:11:00 -0400

tgt (1:1.0.17-1ubuntu1) oneiric; urgency=low

  * Merge from debian remaining changes: 
    - debian/usptart: Add upstart job.
    - Dropped:
      - debian/patches/CVE-2011-0001.patch: No longer needed, use debian instead.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 08 Aug 2011 04:45:03 -0400

tgt (1:1.0.17-1) unstable; urgency=low

  * New upstream release.

 -- Frederik Schüler <fs@debian.org>  Tue, 21 Jun 2011 11:44:56 +0200

tgt (1:1.0.4-3) unstable; urgency=high

  * iscsi: fix buffer overflow before login (CVE-2011-0001)

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 21 Mar 2011 03:32:59 +0000

tgt (1:1.0.13-0ubuntu3) oneiric; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    double free in iscsi_rx_handler function
    - debian/patches/CVE-2011-0001.patch: make sure the received data isn't
      larger than INCOMING_BUFSIZE in usr/iscsi/iscsid.c.
    - CVE-2011-0001

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Jun 2011 09:01:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: tgt
 Section: net
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://stgt.berlios.de/
 
 Package: tgt

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	dh_testroot
 	dh_installchangelogs 
 	dh_installdocs
+	dh_installinit -u"start 89 2 3 4 5 . stop 11 1 ."
 	dh_link
 	dh_strip
 	dh_compress

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://stgt.sourceforge.net/releases/tgt-([[:digit:].-]*)\.tar\.gz

## tgt 1.0.38

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.17
+VERSION ?= 1.0.38
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -10,7 +10,8 @@
 export VERSION PREFIX
 
 # Export the feature switches so sub-make knows about them
-export ISCSI_RDMA FCOE
+export ISCSI_RDMA
+export CEPH_RBD
 
 .PHONY: all
 all: programs doc conf scripts
@@ -63,8 +64,16 @@
 .PHONY: install
 install: install-programs install-doc install-conf install-scripts
 
+.PHONY: rpm
+rpm:
+	@./scripts/build-rpm.sh
+
+.PHONY: clean-rpm
+clean-rpm:
+	rm -fr rpmtop
+
 .PHONY: clean
-clean: clean-programs clean-doc clean-conf clean-scripts
+clean: clean-programs clean-doc clean-conf clean-scripts clean-rpm
 
 .PHONY:check
 check: ARCH=$(shell sh script/checkarch.sh)

=== usr/Makefile ===
sbindir ?= $(PREFIX)/sbin

ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
CFLAGS += -DUSE_SIGNALFD
endif

ifneq ($(shell test -e /usr/include/sys/timerfd.h && echo 1),)
CFLAGS += -DUSE_TIMERFD
endif

TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
		isns.o)
TGTD_OBJS += bs_rdwr.o

ifneq ($(CEPH_RBD),)
TGTD_OBJS += bs_rbd.o
LIBS += -lrados -lrbd
endif

ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
CFLAGS += -DUSE_EVENTFD
TGTD_OBJS += bs_aio.o
LIBS += -laio
endif

ifneq ($(ISCSI_RDMA),)
TGTD_OBJS += iscsi/iser.o iscsi/iser_text.o
LIBS += -libverbs -lrdmacm
endif

INCLUDES += -I.

CFLAGS += -D_GNU_SOURCE
CFLAGS += $(INCLUDES)
ifneq ($(DEBUG),)
CFLAGS += -g -O0 -ggdb -rdynamic
else
CFLAGS += -g -O2 -fno-strict-aliasing
endif
CFLAGS += -Wall -Wstrict-prototypes -fPIC
CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"

LIBS += -lpthread

PROGRAMS += tgtd tgtadm tgtimg
TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \
		concat_buf.o parser.o spc.o sbc.o mmc.o osd.o scc.o smc.o \
		ssc.o bs_ssc.o libssc.o \
		bs_null.o bs_sg.o bs.o libcrc32c.o

TGTD_DEP = $(TGTD_OBJS:.o=.d)

.PHONY:all
all: $(PROGRAMS)

tgtd: $(TGTD_OBJS)
	$(CC) $^ -o $@ $(LIBS)

-include $(TGTD_DEP)

TGTADM_OBJS = tgtadm.o concat_buf.o
TGTADM_DEP = $(TGTADM_OBJS:.o=.d)

tgtadm: $(TGTADM_OBJS)
	$(CC) $^ -o $@

-include $(TGTADM_DEP)

TGTIMG_OBJS = tgtimg.o libssc.o libcrc32c.o
TGTIMG_DEP = $(TGTIMG_OBJS:.o=.d)

tgtimg: $(TGTIMG_OBJS)
	$(CC) $^ -o $@

-include $(TGTIMG_DEP)

%.o: %.c
	$(CC) -c $(CFLAGS) $*.c -o $*.o
	@$(CC) -MM $(CFLAGS) -MF $*.d -MT $*.o $*.c

.PHONY: install
install: $(PROGRAMS)
	install -d -m 755 $(DESTDIR)$(sbindir)
	install -m 755 $(PROGRAMS) $(DESTDIR)$(sbindir)

.PHONY: clean
clean:
	rm -f *.[od] $(PROGRAMS) iscsi/*.[od] ibmvio/*.[od] fc/*.[od]

=== debian/changelog ===
tgt (1:1.0.38-0ubuntu1) saucy; urgency=low

  * New upstream release:
    - d/p/include-rbd-docs.patch,example-config-use-conf-dot-dee:
      Dropped, included upstream.
    - Refreshed other patches.
  * d/watch: Really update to track github repository for releases.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Aug 2013 17:38:27 +0100

tgt (1:1.0.37-0ubuntu1) saucy; urgency=low

  * Merge from Debian unstable:
    - d/control: Drop depends on lsb-base; handled by debhelper.
  * d/watch: Updated to track github upstream repository.
  * New upstream release (LP: #1191180):
    - d/control: Add xsltproc and docbook-xsl to BD's.
    - d/p: Refreshed and tidied patches.
  * Enable support for Ceph RBD backend:
    - d/rules: Add CEPH_RBD=1 to options.
    - d/control: Add BD on librbd-dev.
    - d/p/include-rbd-docs.patch: Include README.rbd docs.
  * Switch to debhelper compat level 8:
    - d/rules: Rewrite to use debhelper overrides.
    - d/compat,control: Bump compat level and minimum version
      requirement for debhelper.

 -- James Page <james.page@ubuntu.com>  Tue, 18 Jun 2013 13:08:34 +0100

tgt (1:1.0.17-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adds an init script:
    - Depends: lsb-base
    - Adds dh_installinit call in debian/rules
    - adds debian/init

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2013 23:25:08 +0800

tgt (1:1.0.17-1ubuntu4) saucy; urgency=low

  * d/tests: added dep-8-tests

 -- Yolanda <yolanda.robla@canonical.com>  Tue, 21 May 2013 10:41:18 +0200

tgt (1:1.0.17-1ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:02:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
 Uploaders: Frederik Schüler <fs@debian.org>, Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 7), libibverbs-dev, librdmacm-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8~), libibverbs-dev, librdmacm-dev, librbd-dev,
+ xsltproc, docbook-xsl
+Standards-Version: 3.9.4
 Homepage: http://stgt.berlios.de/
+XS-Testsuite: autopkgtest
 
 Package: tgt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

CFLAGS = -Wall -g
TGT_OPTIONS = FCOE=1 ISCSI=1 ISCSI_RDMA=1 CEPH_RBD=1

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- $(TGT_OPTIONS)

override_dh_auto_install:
	dh_auto_install -- $(TGT_OPTIONS)

## tgt 1.0.43

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.38
+VERSION ?= 1.0.43
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -66,14 +66,18 @@
 
 .PHONY: rpm
 rpm:
-	@./scripts/build-rpm.sh
+	@./scripts/build-pkg.sh rpm
 
-.PHONY: clean-rpm
-clean-rpm:
-	rm -fr rpmtop
+.PHONY: deb
+deb:
+	@./scripts/build-pkg.sh deb
 
 .PHONY: clean
-clean: clean-programs clean-doc clean-conf clean-scripts clean-rpm
+clean-pkg:
+	rm -fr pkg
+
+.PHONY: clean
+clean: clean-programs clean-doc clean-conf clean-scripts clean-pkg
 
 .PHONY:check
 check: ARCH=$(shell sh script/checkarch.sh)
@@ -89,3 +93,7 @@
 check64: override ARCH=-m64
 check64:
 	CC=$(CHECK_CC_FLAGS) $(MAKE) all
+
+cscope:
+	find -name '*.[ch]' > cscope.files
+	cscope -bq

=== usr/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 sbindir ?= $(PREFIX)/sbin
+libdir ?= $(PREFIX)/lib/tgt
 
 ifneq ($(shell test -e /usr/include/linux/signalfd.h && echo 1),)
 CFLAGS += -DUSE_SIGNALFD
@@ -11,11 +12,9 @@
 TGTD_OBJS += $(addprefix iscsi/, conn.o param.o session.o \
 		iscsid.o target.o chap.o sha1.o md5.o transport.o iscsi_tcp.o \
 		isns.o)
-TGTD_OBJS += bs_rdwr.o
 
 ifneq ($(CEPH_RBD),)
-TGTD_OBJS += bs_rbd.o
-LIBS += -lrados -lrbd
+MODULES += bs_rbd.so
 endif
 
 ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
@@ -40,22 +39,26 @@
 endif
 CFLAGS += -Wall -Wstrict-prototypes -fPIC
 CFLAGS += -DTGT_VERSION=\"$(VERSION)$(EXTRAVERSION)\"
+CFLAGS += -DBSDIR=\"$(DESTDIR)$(libdir)/backing-store\"
 
-LIBS += -lpthread
+LIBS += -lpthread -ldl
 
 PROGRAMS += tgtd tgtadm tgtimg
 TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \
 		concat_buf.o parser.o spc.o sbc.o mmc.o osd.o scc.o smc.o \
-		ssc.o bs_ssc.o libssc.o \
-		bs_null.o bs_sg.o bs.o libcrc32c.o
+		ssc.o libssc.o bs_rdwr.o bs_ssc.o \
+		bs_null.o bs_sg.o bs.o libcrc32c.o bs_sheepdog.o
 
 TGTD_DEP = $(TGTD_OBJS:.o=.d)
 
+LDFLAGS = -Wl,-E,-rpath=$(libdir)
+
 .PHONY:all
-all: $(PROGRAMS)
+all: $(PROGRAMS) $(MODULES)
 
 tgtd: $(TGTD_OBJS)
-	$(CC) $^ -o $@ $(LIBS)
+	echo $(CC) $^ -o $@ $(LIBS)
+	$(CC) $^ -o $@ $(LDFLAGS) $(LIBS)
 
 -include $(TGTD_DEP)
 
@@ -79,11 +82,21 @@
 	$(CC) -c $(CFLAGS) $*.c -o $*.o
 	@$(CC) -MM $(CFLAGS) -MF $*.d -MT $*.o $*.c
 
+%.so: %.c
+	$(CC) -shared $(CFLAGS) $*.c -o $*.so
+
+bs_rbd.so: bs_rbd.c
+	$(CC) -shared $(CFLAGS) bs_rbd.c -o bs_rbd.so -lrados -lrbd
+
 .PHONY: install
-install: $(PROGRAMS)
+install: $(PROGRAMS) $(MODULES)
 	install -d -m 755 $(DESTDIR)$(sbindir)
 	install -m 755 $(PROGRAMS) $(DESTDIR)$(sbindir)
+ifneq ($(MODULES),)
+	install -d -m 755 $(DESTDIR)$(libdir)/backing-store
+	install -m 755 $(MODULES) $(DESTDIR)$(libdir)/backing-store
+endif
 
 .PHONY: clean
 clean:
-	rm -f *.[od] $(PROGRAMS) iscsi/*.[od] ibmvio/*.[od] fc/*.[od]
+	rm -f *.[od] *.so $(PROGRAMS) iscsi/*.[od] ibmvio/*.[od] fc/*.[od]

=== debian/changelog ===
tgt (1:1.0.43-0ubuntu4) trusty; urgency=medium

  * debian/patches/fix_delayed_management_request.patch: Adjust patch to fix
    a FTBFS.
  * debian/patches/fix_leak_of_task_in_scsi_flag.patch: Adjust patch to fix
    a FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Apr 2014 09:14:03 -0400

tgt (1:1.0.43-0ubuntu3) trusty; urgency=medium

  * Fix tgt connection issues under heavy load (LP: #1305343)
    - debian/patches/fix_delayed_management_request.patch: Fix a crash
      of tgtd which occured when removing a target with the --force option
      (https://github.com/fujita/tgt/commit/e6e8d0fd3b83208278fb7ed765c3665ae7c5ab49)
    - debian/patches/fix_leak_of_task_in_scsi_flag.patch: Clear task_in_scsi flag 
      when exiting iscsi_tm_execute() and iser_tm_exec() functions. 
      (https://github.com/fujita/tgt/commit/05fc2cb424863fbf2f3c60a8b617308ef1e370c5)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Apr 2014 19:35:20 -0400

tgt (1:1.0.43-0ubuntu2) trusty; urgency=medium

  * d/p/fix-config-regression.patch: Cherry picked fix from upstream VCS
    to resolve regression on configuration of control port.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 15:11:35 +0000

tgt (1:1.0.43-0ubuntu1) trusty; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Jan 2014 12:05:08 +0000

tgt (1:1.0.41-0ubuntu1) trusty; urgency=low

  * New upstream release:
    - debian/patches/fix-tgt-admin-bashism: Dropped, included upstream.
  * d/control,rules,bash-completion: Enable bash completion support
    for tgt commands.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Nov 2013 15:00:10 +0000

=== debian/tests/control ===
Tests: daemon admin
Depends: @
Restrictions: needs-root

=== debian/watch ===
version=3
https://github.com/fujita/tgt/tags .*/v(.*).tar.gz

## tgt 1.0.47

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.43
+VERSION ?= 1.0.47
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -12,6 +12,7 @@
 # Export the feature switches so sub-make knows about them
 export ISCSI_RDMA
 export CEPH_RBD
+export GLFS_BD
 
 .PHONY: all
 all: programs doc conf scripts

=== usr/Makefile ===
--- 
+++ 
@@ -15,6 +15,10 @@
 
 ifneq ($(CEPH_RBD),)
 MODULES += bs_rbd.so
+endif
+
+ifneq ($(GLFS_BD),)
+MODULES += bs_glfs.so
 endif
 
 ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
@@ -88,6 +92,9 @@
 bs_rbd.so: bs_rbd.c
 	$(CC) -shared $(CFLAGS) bs_rbd.c -o bs_rbd.so -lrados -lrbd
 
+bs_glfs.so: bs_glfs.c
+	$(CC) -I/usr/include/glusterfs/api -shared $(CFLAGS) bs_glfs.c -o bs_glfs.so -lgfapi
+
 .PHONY: install
 install: $(PROGRAMS) $(MODULES)
 	install -d -m 755 $(DESTDIR)$(sbindir)

=== debian/changelog ===
tgt (1:1.0.47-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop RBD support (librados and librbd unavailable in wheezy).
  * Drop GlusterFS support (headers absent in wheezy's glusterfs-common).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 May 2014 15:32:50 +0300

tgt (1:1.0.47-1) unstable; urgency=medium

  * New upstream release.
  * Friendly takeover, encouraged by the previous maintainers. Thanks to
    Frederik Schüler and Ben Hutchings for maintaining tgt!
  * Update debian/ copyright information
  * control: switch Vcs-* to collab-maint
  * Remove redundant librados-dev build-dependency, it is pulled in by
    librbd-dev.
  * tgt Suggests: tgt-glusterfs, tgt-rbd

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 21 May 2014 23:19:12 +0300

tgt (1:1.0.46-1) unstable; urgency=medium

  * New upstream version
    + Drop existing patches that were merged upstream
      - CVE-2011-0001
      - fix-tgt-admin-bashism
      - make-tgt-setup-lun-executable
    + Refresh conf-makefile patch
    + Build-depend on xsltproc and docbook-xsl to build the manpages
    + Remove FCOE and ISCSI feature parameters from debian/rules; FCOE support
      has been dropped as of 1.0.19 and ISCSI is always built-in.
  * Add myself to Uploaders, as discussed with Ben Hutchings.
  * New patches
    + use-dpkg-buildflags.patch: use hardened build flags where applicable
      (closes: #656127)
    + use-docbook-xsl.patch: use the XSLT stylesheets from docbook-xsl instead
      of docbook.sf.net
    + do-not-build-html-manpages.patch: do not build the HTML version of the
      manpages
  * Update package descriptions (closes: #653067)
  * Convert debian/rules to dh sequencer
    + Simplify debian/rules and remove DEB_BUILD_OPTIONS handling which is now
      left up to dh
  * Build with ceph/rados support (closes: #714868)
    + New binary package, tgt-rbd, offering rbd support
    + Build-Depend on librados-dev and librbd-dev
  * Build with GlusterFS support
    + New binary package, tgt-glusterfs, offering GlusterFS support
    + Build-Depend on glusterfs-common
  * New binary package, tgt-dbg, containing debug symbols for tgt
  * Ship upstream's bash completion
    + Build-Depend on bash-completion
  * Add DEP-8 autopkgtests
    + Import the DEP-8 tests from Ubuntu. Thanks to Yolanda Robla and Barry
      Warsaw (closes: #710173, #710882)
    + Drop the bashisms in the imported autopkgtests
    + Drop the root-needed restriction, as it is not strictly required
    + Add a test to check the rbd and glusterfs loadable modules
  * Mark all packages as arch:linux-any
  * Bump standards to 3.9.5 and compat to 9
  * Update debian/watch to point to github
  * debian/init: provide self (fixes lintian info)
  * debian/copyright: update license information and convert to Format 1.0
  * Initial systemd support
  * Only restart tgt on upgrade when no initiators are connected

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 19 May 2014 15:41:46 +0300

=== debian/control ===
Source: tgt
Section: net
Priority: optional
Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev, xsltproc,
               docbook-xsl, dh-systemd (>= 1.5), bash-completion
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/tgt.git
Vcs-Git: git://anonscm.debian.org/users/apoikos/tgt.git
Standards-Version: 3.9.5
Homepage: http://stgt.berlios.de/
XS-Testsuite: autopkgtest

Package: tgt
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, libconfig-general-perl, sg3-utils
Suggests: tgt-glusterfs, tgt-rbd
Description: Linux SCSI target user-space daemon and tools
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 tgt consists of a user-space daemon and user-space tools currently
 supporting the following transports:
 .
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
 tgt also supports different storage types for use as backing stores for SCSI
 Logical Units:
 .
  - Plain files and block devices
  - Ceph/RADOS RBD volumes
  - GlusterFS volumes
 .
 This package includes the daemon and user-space tools.

Package: tgt-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Linux SCSI target user-space daemon and tools - debug symbols
 The Linux target framework (tgt) allows a Linux system to provide SCSI
 devices (targets) over networked SCSI transports.
 .
 tgt consists of a user-space daemon and user-space tools currently
 supporting the following transports:
 .
  - iSCSI (SCSI over IP)
  - iSER (iSCSI over RDMA, using Infiniband)
 .
 tgt also supports different storage types for use as backing stores for SCSI
 Logical Units:
 .
  - Plain files and block devices
  - Ceph/RADOS RBD volumes
  - GlusterFS volumes
 .
 This package contains symbols used for debugging tgt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

FEATURES = ISCSI_RDMA=1

%:
	dh $@ --parallel --with systemd,bash-completion

override_dh_auto_build:
	$(MAKE) $(FEATURES)

override_dh_auto_install:
	$(MAKE) $(FEATURES) DESTDIR=$(CURDIR)/debian/tgt install

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/tgt/usr/lib

override_dh_strip:
	dh_strip --dbg-package=tgt-dbg

.PHONY: override_dh_auto_build override_dh_auto_install \
	override_dh_installinit override_dh_install \
	override_dh_strip

=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: modules
Depends: tgt, tgt-rbd, tgt-glusterfs
Restrictions: needs-root

## tgt 1.0.48

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.47
+VERSION ?= 1.0.48
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'
@@ -13,6 +13,7 @@
 export ISCSI_RDMA
 export CEPH_RBD
 export GLFS_BD
+export SD_NOTIFY
 
 .PHONY: all
 all: programs doc conf scripts

=== usr/Makefile ===
--- 
+++ 
@@ -19,6 +19,10 @@
 
 ifneq ($(GLFS_BD),)
 MODULES += bs_glfs.so
+endif
+
+ifneq ($(SD_NOTIFY),)
+CFLAGS += -DUSE_SYSTEMD
 endif
 
 ifneq ($(shell test -e /usr/include/sys/eventfd.h && test -e /usr/include/libaio.h && echo 1),)
@@ -46,6 +50,10 @@
 CFLAGS += -DBSDIR=\"$(DESTDIR)$(libdir)/backing-store\"
 
 LIBS += -lpthread -ldl
+
+ifneq ($(SD_NOTIFY),)
+LIBS += -lsystemd-daemon
+endif
 
 PROGRAMS += tgtd tgtadm tgtimg
 TGTD_OBJS += tgtd.o mgmt.o target.o scsi.o log.o driver.o util.o work.o \

=== debian/changelog ===
tgt (1:1.0.48-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Drop RBD support (librados and librbd unavailable in wheezy).
  * Drop GlusterFS support (headers absent in wheezy's glusterfs-common).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 10 Jun 2014 14:19:44 +0300

tgt (1:1.0.48-1) unstable; urgency=medium

  * New upstream release.
  * d/t/control: modules test needs isolation-container
  * Enable systemd notification support.
    + d/rules: compile with SD_NOTIFY=1
    + d/control: build-depend on libsystemd-daemon-dev
    + d/tgt.service: change type to "notify" and remove the sleep statement

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 02 Jun 2014 11:01:44 +0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev, xsltproc,
-               docbook-xsl, dh-systemd (>= 1.5), bash-completion
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/apoikos/tgt.git
-Vcs-Git: git://anonscm.debian.org/users/apoikos/tgt.git
+Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16), xsltproc,
+               docbook-xsl, dh-systemd (>= 1.5), bash-completion,
+               libsystemd-daemon-dev
+Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
 Standards-Version: 3.9.5
 Homepage: http://stgt.berlios.de/
 XS-Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1
+FEATURES = ISCSI_RDMA=1 SD_NOTIFY=1
 
 %:
 	dh $@ --parallel --with systemd,bash-completion

## tgt 1.0.50

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.48
+VERSION ?= 1.0.50
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.50-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Enable RBD support for the backports package (Closes: #761956)
  * Drop GlusterFS support (unavailable in wheezy)
  * B-D on libsystemd-daemon-dev instead of libsystemd-dev.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 17 Sep 2014 11:35:34 +0300

tgt (1:1.0.50-1) unstable; urgency=medium

  * New upstream version:
    + DOCS: add an example dvd jukebox script
    + MMC: add a dedicated backend for MMC so that supported-opcode map works
    + sheepdog: protocol update for reviving backward compatibility
    + sheepdog: support iSCSI multipath
  * Initscript improvements:
    + stop succeeds when not running (Closes: #758716)
    + Use status_of_proc (Closes: #759585)
    + Remove bashisms and use #!/bin/sh
    + Use a pidfile, created by start-stop-daemon
  * B-D on libsystemd-dev instead of libsystemd-daemon-dev and add a patch to
    link against libsystemd. Fixes build against systemd >= 209.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 15 Sep 2014 09:06:37 +0300

tgt (1:1.0.49-1) unstable; urgency=medium

  * New upstream version:
    + rbd: allow assing a libvirt secret UUID or a cephx_key to bsopts
    + sheepdog: add documentation
    + sheepdog: enable write caching
  * Build-depend on libdrmacm >= 1.0.16

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 23 Aug 2014 09:55:09 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16), xsltproc,
                docbook-xsl, dh-systemd (>= 1.5), bash-completion,
-               libsystemd-daemon-dev
+               libsystemd-daemon-dev, librados-dev, librbd-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
 Standards-Version: 3.9.5
@@ -34,6 +34,29 @@
  .
  This package includes the daemon and user-space tools.
 
+Package: tgt-rbd
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - RBD support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
+ store for SCSI Logical Units.
+
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug

## tgt 1.0.51

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION ?= 1.0.50
+VERSION ?= 1.0.51
 
 CHECK_CC = cgcc
 CHECK_CC_FLAGS = '$(CHECK_CC) -Wbitwise -Wno-return-void -no-compile $(ARCH)'

=== debian/changelog ===
tgt (1:1.0.51-1) unstable; urgency=medium

  * New upstream version:
    + sheepdog: refresh invalidated inode in update_inode() path
    + sheepdog: set a flag indicating requests are from tgt
    + sheepdog: optimize reloading of inode
    + SMC: add a new volume_tag parameter to storage slots
    + SMC: add a smc backend template with an opcode whitelist
  * initscript: have stop always shutdown tgt, regardless of initiators being
    connected. Thus, forcedstop and stop are the same, also forcedrestart and
    restart. Note that during upgrades we only stop tgtd when no initiators
    are connected. (Closes: #762068)
  * Bump standards to 3.9.6; no changes needed.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 13 Oct 2014 15:31:30 +0300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16), xsltproc,
-               docbook-xsl, dh-systemd (>= 1.5), bash-completion,
-               libsystemd-daemon-dev, librados-dev, librbd-dev
+Build-Depends: debhelper (>= 9), libibverbs-dev, librdmacm-dev (>= 1.0.16),
+               xsltproc, docbook-xsl, dh-systemd (>= 1.5), librbd-dev,
+               glusterfs-common, bash-completion, libsystemd-dev
 Vcs-Git: git://anonscm.debian.org/collab-maint/tgt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=collab-maint/tgt.git;a=summary
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://stgt.berlios.de/
 XS-Testsuite: autopkgtest
 
@@ -57,6 +57,29 @@
  This package enables tgt to use Ceph/RADOS block devices (RBD) as backing
  store for SCSI Logical Units.
 
+Package: tgt-glusterfs
+Architecture: linux-any
+Depends: tgt (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Linux SCSI target user-space daemon and tools - GlusterFS support
+ The Linux target framework (tgt) allows a Linux system to provide SCSI
+ devices (targets) over networked SCSI transports.
+ .
+ tgt consists of a user-space daemon and user-space tools currently
+ supporting the following transports:
+ .
+  - iSCSI (SCSI over IP)
+  - iSER (iSCSI over RDMA, using Infiniband)
+ .
+ tgt also supports different storage types for use as backing stores for SCSI
+ Logical Units:
+ .
+  - Plain files and block devices
+  - Ceph/RADOS RBD volumes
+  - GlusterFS volumes
+ .
+ This package enables tgt to use GlusterFS volumes as backing store for SCSI
+ Logical Units.
+
 Package: tgt-dbg
 Architecture: linux-any
 Section: debug

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-FEATURES = ISCSI_RDMA=1 SD_NOTIFY=1
+FEATURES = ISCSI_RDMA=1 CEPH_RBD=1 GLFS_BD=1 SD_NOTIFY=1
 
 %:
 	dh $@ --parallel --with systemd,bash-completion

=== debian/tests/control ===
Tests: daemon admin
Depends: tgt

Tests: modules
Depends: tgt, tgt-rbd, tgt-glusterfs
Restrictions: needs-root isolation-container
